View Issue Details

IDProjectCategoryView StatusLast Update
0003103SOGoActiveSyncpublic2015-03-20 08:46
ReporterMcMichaeli Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version14.04 LTS
Product Version2.2.16 
Fixed in Version2.2.17 
Summary0003103: Plain Text messages containing non-ASCII characters have blank body over ActiveSync
Description

If a plain text message (incorrectly sent without a character encoding specified) contains a non-ASCII character (British Pound sign in this example) then the whole body part of the message is missing when synchronised via ActiveSync to a mobile device.

Steps To Reproduce

Sync the test message attached to a mobile device over ActiveSync. Observe that no body text is visible at all in the message on the device.

Additional Information

I have included screen grabs from Thunderbird 31.4.0 and the SOGo web interface to show how these clients handle the same message. Ideally ActiveSync would do something similar so that the message can be read.

TagsNo tags attached.

Activities

McMichaeli

McMichaeli

2015-02-12 15:20

reporter  

Blank Body.eml (4,668 bytes)
McMichaeli

McMichaeli

2015-02-12 15:27

reporter  

Thunderbird Rendering.png (96,487 bytes)   
Thunderbird Rendering.png (96,487 bytes)   
McMichaeli

McMichaeli

2015-02-12 15:27

reporter  

SOGo Webmail Rendering.png (117,783 bytes)   
SOGo Webmail Rendering.png (117,783 bytes)   
ludovic

ludovic

2015-03-18 13:34

administrator   ~0008311

Email shows correctly for me on both Android and Outlook.

Can you try with the latest nightly builds?

ludovic

ludovic

2015-03-20 08:46

administrator   ~0008325

Workaround added:

https://github.com/inverse-inc/sogo/commit/afd73289d1ebb13c643f7a8290eac7da43b69330

Issue History

Date Modified Username Field Change
2015-02-12 15:20 McMichaeli New Issue
2015-02-12 15:20 McMichaeli File Added: Blank Body.eml
2015-02-12 15:27 McMichaeli File Added: Thunderbird Rendering.png
2015-02-12 15:27 McMichaeli File Added: SOGo Webmail Rendering.png
2015-03-18 13:34 ludovic Note Added: 0008311
2015-03-20 08:46 ludovic Note Added: 0008325
2015-03-20 08:46 ludovic Status new => resolved
2015-03-20 08:46 ludovic Fixed in Version => 2.2.17
2015-03-20 08:46 ludovic Resolution open => fixed
2015-03-20 08:46 ludovic Assigned To => ludovic